Subject: Re: bug#41235: guix deploy can't deploy with a user different than root

From: Brice Waegeneire <[email-masked]>
Date: Tue, 18 Jan 2022 08:13:01 +0100

Hello Guix,

Brice Waegeneire <[email-masked]> writes:

> When trying to reproduce another “guix deploy” bug for a future bug 
> report
> I stumbled upon this one: it's not possible to deploy as a user
> (machine-ssh-configuration-user) different than “root“, even with a
> properly configured sudoers file[0]. Deploying with root works when ssh 
> is
> configured with “PermitRootLogin yes”.

[...]

This isn't the case anymore.  I can now use "guix deploy" with a user having
passwordless sudo right, as documented in the manual.

Cheers,
- Brice